Package org.silverpeas.components.projectmanager.model

## Class TaskPK

- java.lang.Object
- - org.silverpeas.core.WAPrimaryKey
  - - org.silverpeas.components.projectmanager.model.TaskPK

- All Implemented Interfaces:
    `Serializable`, `Cloneable`

      public class TaskPK
      extends org.silverpeas.core.WAPrimaryKey

  Author:
    neysseri
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.WAPrimaryKey

      `componentName, id, space`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskPK​(int id, String componentId)` |
    `TaskPK​(String id, String componentId)` | TaskPK constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object other)` | Implementation of equals method for TaskPK object
    `int` | `hashCode()` |

    - ### Methods inherited from class org.silverpeas.core.WAPrimaryKey

      `clone, getComponentName, getId, getInstanceId, getRootTableName, getSpace, getSpaceId, getTableName, getTableName, setComponentName, setId, setSpace, toResourceReference, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskPK

          public TaskPK​(String id,
                        String componentId)

      TaskPK constructor
      Parameters:
        `id` - the task identifier
        `componentId` - the component identifier

    - #### TaskPK

          public TaskPK​(int id,
                        String componentId)

  - ### Method Detail

    - #### equals

          public boolean equals​(Object other)

      Implementation of equals method for TaskPK object
      Specified by:
        `equals` in class `org.silverpeas.core.WAPrimaryKey`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.silverpeas.core.WAPrimaryKey`
      Returns:
        A hash code for this object